NEWS


  • moin

    musste javascript deinstallieren, lief nicht mehr richtig.

    nun kann ich es nicht wieder neu installieren, bekomme

    einen Fehler

    Über GUI:

    $ ./iobroker add yahka
    npm install iobroker.yahka --production --prefix "/opt/iobroker" (System call)
    In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
     #include <dns_sd.h>
                        ^
    compilation terminated.
    make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Error 1
    gyp
    
    ERR!
     build error 
    gyp
     ERR!
     stack Error: `make` failed with exit code: 2gyp
     ERR! stack
         at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)gyp
     ERR!
     stack     at emitTwo (events.js:87:13)
    gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
    gyp 
    ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:12)gyp ERR! System Linux 4.9.35-v7+
    gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
    gyp ERR! cwd /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns
    gyp ERR! node -v v4.6.2gyp ERR! node-gyp -v
     v3.4.0gyp ERR! not ok 
    npm
     ERR! Linux 4.9.35-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.yahka" "--production" "--prefix" "/opt/iobroker"
    npm ERR! node v4.6.2npm ERR! npm  v2.15.11
    npm ERR! code ELIFECYCLE
     npm ERR! mdns@2.3.3 install: `node-gyp rebuild`
    npm ERR! Exit status 1
    npm ERR! 
    npm ERR!
     Failed at the mdns@2.3.3 install script 'node-gyp rebuild'.npm ERR! This is most likely a problem with the mdns package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     node-gyp rebuild
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs mdnsnpm ERR! Or if that isn't available, you can get their info via:
    npm ERR! 
    npm ERR!
    npm owner ls mdnsnpm ERR! There is likely additional logging output above.
    npm ERR! Please include the following file with any support request:npm ERR!
         /npm-debug.log
    host.raspberrypi install adapter yahka
    npm install iobroker.yahka --production --prefix "/opt/iobroker" (System call)
    In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
     #include <dns_sd.h>
                        ^
    compilation terminated.
    make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Error 1
    gyp
    
    ERR! build error 
    gyp
     ERR!
     stack
     Error: `make` failed with exit code: 2gyp 
    ERR! stack
         at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
    gyp
     ERR! stack     at emitTwo (events.js:87:13)gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:12)
    gyp ERR! System Linux 4.9.35-v7+gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
    gyp ERR! cwd /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns
    gyp ERR! node -v v4.6.2
    gyp ERR! node-gyp -v v3.4.0
    gyp ERR!
     not ok 
    npm
    
    ERR! Linux 4.9.35-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.yahka" "--production" "--prefix" "/opt/iobroker"npm ERR! 
    node v4.6.2npm ERR! npm  v2.15.11
    npm ERR! code ELIFECYCLE
    npm
     ERR! mdns@2.3.3 install: `node-gyp rebuild`npm ERR! Exit status 1
    npm
     ERR! npm ERR! Failed at the mdns@2.3.3 install script 'node-gyp rebuild'.
    npm ERR! This is most likely a problem with the mdns package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     node-gyp rebuildnpm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs mdns
    npm 
    ERR! Or if that isn't available, you can get their info via:npm ERR! 
    npm ERR!     npm owner ls mdns
    npm ERR! There is likely additional logging output above.
    npm ERR! Please include the following file with any support request:npm ERR!
         /npm-debug.log
    host.raspberrypi install adapter yahka
    npm install iobroker.yahka --production --prefix "/opt/iobroker" (System call)
    In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
     #include <dns_sd.h>
                        ^
    compilation terminated.
    make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Error 1
    gyp
    
    ERR! build error
    
    gyp ERR! stack Error: `make` failed with exit code: 2
    gyp ERR! stack     at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
    gyp ERR! stack     at emitTwo (events.js:87:13)gyp
     ERR! stack     at ChildProcess.emit (events.js:172:7)gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:12)
    gyp ERR! System Linux 4.9.35-v7+
    gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gyp ERR! cwd /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns
    gyp 
    ERR! 
    node -v v4.6.2gyp ERR! node-gyp -v v3.4.0
    gyp ERR! not ok 
    npm
     ERR! Linux 4.9.35-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.yahka" "--production" "--prefix" "/opt/iobroker"npm ERR! node v4.6.2
    npm ERR! npm  v2.15.11
    npm ERR! code ELIFECYCLE
    npm ERR! mdns@2.3.3 install: `node-gyp rebuild`
    npm ERR! Exit status 1
    npm ERR! npm ERR! Failed at the mdns@2.3.3 install script 'node-gyp rebuild'.
    npm ERR! This is most likely a problem with the mdns package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     node-gyp rebuild
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs mdns
    npm ERR! Or if that isn't available, you can get their info via:
    npm ERR! 
    npm ERR!     npm owner ls mdns
    npm ERR! There is likely additional logging output above.
    npm ERR! Please include the following file with any support request:npm ERR!
         /npm-debug.log
    host.raspberrypi install adapter yahka
    ERROR: host.raspberrypi Cannot install yahka
    ERROR: process exited with code 13</dns_sd.h></dns_sd.h></dns_sd.h>
    

    über Konsole:

    pi@raspberrypi:/opt/iobroker $ sudo npm install iobroker.yahka --production     -
    > curve25519-n2@1.1.3 install /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/curve25519-n2
    > node-gyp rebuild
    gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/4.6.2"
    gyp WARN EACCES attempting to reinstall using temporary dev dir "/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/curve25519-n2/.node-gyp"
    make: Entering directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/curve25519-n2/build'
      CXX(target) Release/obj.target/curve/node_curve.o
      SOLINK_MODULE(target) Release/obj.target/curve.node
      COPY Release/curve.node
    make: Leaving directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/curve25519-n2/build'
    > ed25519@0.0.4 install /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/ed25519
    > node-gyp rebuild
    gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/4.6.2"
    gyp WARN EACCES attempting to reinstall using temporary dev dir "/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/ed25519/.node-gyp"
    make: Entering directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/ed25519/build'
      CC(target) Release/obj.target/ed25519/src/ed25519/keypair.o
      CC(target) Release/obj.target/ed25519/src/ed25519/sign.o
      CC(target) Release/obj.target/ed25519/src/ed25519/open.o
      CC(target) Release/obj.target/ed25519/src/ed25519/crypto_verify_32.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_double_scalarmult.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_frombytes.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_scalarmult_base.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_precomp_0.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p2_0.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p2_dbl.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p3_0.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p3_dbl.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p3_to_p2.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p3_to_cached.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p3_tobytes.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_madd.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_add.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_msub.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_sub.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p1p1_to_p3.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_p1p1_to_p2.o
      CC(target) Release/obj.target/ed25519/src/ed25519/ge_tobytes.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_0.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_1.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_cmov.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_copy.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_neg.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_add.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_sub.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_mul.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_sq.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_sq2.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_invert.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_tobytes.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_isnegative.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_isnonzero.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_frombytes.o
      CC(target) Release/obj.target/ed25519/src/ed25519/fe_pow22523.o
      CC(target) Release/obj.target/ed25519/src/ed25519/sc_reduce.o
      CC(target) Release/obj.target/ed25519/src/ed25519/sc_muladd.o
      CXX(target) Release/obj.target/ed25519/src/ed25519.o
      SOLINK_MODULE(target) Release/obj.target/ed25519.node
      COPY Release/ed25519.node
    make: Leaving directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/ed25519/build'
    > mdns@2.3.3 install /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns
    > node-gyp rebuild
    gyp WARN EACCES user "root" does not have permission to access the dev dir "/root/.node-gyp/4.6.2"
    gyp WARN EACCES attempting to reinstall using temporary dev dir "/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns/.node-gyp"
    make: Entering directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns/build'
      CXX(target) Release/obj.target/dns_sd_bindings/src/dns_sd.o
    In file included from ../src/dns_sd.cpp:1:0:
    ../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
     #include <dns_sd.h>^
    compilation terminated.
    dns_sd_bindings.target.mk:151: recipe for target 'Release/obj.target/dns_sd_bindings/src/dns_sd.o' failed
    make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Error 1
    make: Leaving directory '/opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns/build'
    gyp ERR! build error
    gyp ERR! stack Error: `make` failed with exit code: 2
    gyp ERR! stack     at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
    gyp ERR! stack     at emitTwo (events.js:87:13)
    gyp ERR! stack     at ChildProcess.emit (events.js:172:7)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:211:12)
    gyp ERR! System Linux 4.9.35-v7+
    gyp ERR! command "/usr/local/bin/node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
    gyp ERR! cwd /opt/iobroker/node_modules/iobroker.yahka/node_modules/hap-nodejs/node_modules/mdns
    gyp ERR! node -v v4.6.2
    gyp ERR! node-gyp -v v3.4.0
    gyp ERR! not ok
    npm ERR! Linux 4.9.35-v7+
    npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "iobroker.yahka" "--production"
    npm ERR! node v4.6.2
    npm ERR! npm  v2.15.11
    npm ERR! code ELIFECYCLE
    npm ERR! mdns@2.3.3 install: `node-gyp rebuild`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the mdns@2.3.3 install script 'node-gyp rebuild'.
    npm ERR! This is most likely a problem with the mdns package,
    npm ERR! not with npm itself.
    npm ERR! Tell the author that this fails on your system:
    npm ERR!     node-gyp rebuild
    npm ERR! You can get information on how to open an issue for this project with:
    npm ERR!     npm bugs mdns
    npm ERR! Or if that isn't available, you can get their info via:
    npm ERR!
    npm ERR!     npm owner ls mdns
    npm ERR! There is likely additional logging output above.
    npm ERR! Please include the following file with any support request:
    npm ERR!     /opt/iobroker/npm-debug.log
    pi@raspberrypi:/opt/iobroker $</dns_sd.h> 
    

  • Du willst aber hier jahka neu installieren und nicht JavaScript?! Schau mal auf die github Seite von yahka und schau das alle Abhängigkeiten (apt-get …) installiert sind. Dann neu versuchen.

Suggested Topics

1.7k
Online

38.4k
Users

43.9k
Topics

613.1k
Posts